%define upstream_name    common-sense
%define upstream_version 3.72

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Save a tree AND a kitten, use common::sense!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/common/%{upstream_name}-%{upstream_version}.tar.gz
# (cg) From http://cvs.schmorp.de/common-sense/Makefile.PL?r1=1.4&r2=1.5&view=patch
Patch0:     common-sense-3.72-upstream-fix-for-install-dir.patch
# (cg) From me... not sure if correct, but I cannot see any differences between i586/x86_64 builds...
# If it's incorrect, the package has to no longer be 
Patch1:     common-sense-3.72-further-mageia-fix-for-install-dir.patch
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

Provides:   perl(common::sense)

%description
This module implements some sane defaults for Perl programs, as defined by
two typical (or not so typical - use your common sense) specimens of Perl
coders.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p0
%patch1 -p0

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.720.0-3.mga4
+ Revision: 532255
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 colin <colin> 3.720.0-2.mga4
+ Revision: 467619
- Add upstream Makefile.PL fix for install patch
- Add further local path to fix install dirs (to make non-arch dependant)
- Tidy macros (do not use curly braces for 'action' macros)

* Fri Aug 16 2013 sander85 <sander85> 3.720.0-1.mga4
+ Revision: 466976
- update to 3.72

* Sun Jan 13 2013 umeabot <umeabot> 3.600.0-2.mga3
+ Revision: 375415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 3.600.0-1.mga3
+ Revision: 267565
- update to 3.6

* Tue Jun 05 2012 jquelin <jquelin> 3.500.0-1.mga3
+ Revision: 255680
- update to 3.5

* Sat Jun 11 2011 spuhler <spuhler> 3.400.0-2.mga2
+ Revision: 104030
- increase rel for rebuild

* Thu Feb 17 2011 jquelin <jquelin> 3.400.0-1.mga1
+ Revision: 52909
- update to 3.4

* Tue Jan 18 2011 jquelin <jquelin> 3.300.0-1.mga1
+ Revision: 22189
- cleaning spec file
- imported package perl-common-sense

